Loading...
Searching...
No Matches
irr::video::S3DVertex2TCoords Struct Reference

Vertex with two texture coordinates. More...

`#include <S3DVertex.h>`

Inheritance diagram for irr::video::S3DVertex2TCoords:

## Public Member Functions

| S3DVertex2TCoords ()
| default constructor
| S3DVertex2TCoords (const core::vector3df &pos, const core::vector3df &normal, const SColor &color, const core::vector2d< f32 > &tcoords, const core::vector2d< f32 > &tcoords2)
| constructor with all values
| S3DVertex2TCoords (const core::vector3df &pos, const core::vector3df &normal, SColor color, const core::vector2d< f32 > &tcoords)
| constructor with the same texture coords and normal
| S3DVertex2TCoords (const core::vector3df &pos, SColor color, const core::vector2d< f32 > &tcoords, const core::vector2d< f32 > &tcoords2)
| constructor with two different texture coords, but no normal
| S3DVertex2TCoords (f32 x, f32 y, f32 z, f32 nx, f32 ny, f32 nz, SColor c, f32 tu, f32 tv)
| constructor with the same texture coords and normal
| S3DVertex2TCoords (f32 x, f32 y, f32 z, f32 nx, f32 ny, f32 nz, SColor c, f32 tu, f32 tv, f32 tu2, f32 tv2)
| constructor with all values
| S3DVertex2TCoords (f32 x, f32 y, f32 z, SColor c, f32 tu, f32 tv, f32 tu2, f32 tv2)
| constructor with two different texture coords, but no normal
| S3DVertex2TCoords (S3DVertex &o)
| constructor from S3DVertex
S3DVertex2TCoords | getInterpolated (const S3DVertex2TCoords &other, f32 d)
E_VERTEX_TYPE | getType () const
bool | operator!= (const S3DVertex2TCoords &other) const
| Inequality operator.
bool | operator< (const S3DVertex2TCoords &other) const
bool | operator== (const S3DVertex2TCoords &other) const
| Equality operator.
Public Member Functions inherited from irr::video::S3DVertex
| S3DVertex ()
| default constructor
| S3DVertex (const core::vector3df &pos, const core::vector3df &normal, SColor color, const core::vector2d< f32 > &tcoords)
| constructor
| S3DVertex (f32 x, f32 y, f32 z, f32 nx, f32 ny, f32 nz, SColor c, f32 tu, f32 tv)
| constructor
S3DVertex | getInterpolated (const S3DVertex &other, f32 d)
E_VERTEX_TYPE | getType () const
bool | operator!= (const S3DVertex &other) const
bool | operator< (const S3DVertex &other) const
bool | operator== (const S3DVertex &other) const

## Public Attributes

core::vector2d< f32 > | TCoords2
| Second set of texture coordinates.
Public Attributes inherited from irr::video::S3DVertex
SColor | Color
| Color.
core::vector3df | Normal
| Normal vector.
core::vector3df | Pos
| Position.
core::vector2d< f32 > | TCoords
| Texture coordinates.

## Detailed Description

Vertex with two texture coordinates.

Usually used for geometry with lightmaps or other special materials.

Definition at line 109 of file S3DVertex.h.

## Constructor & Destructor Documentation

## S3DVertex2TCoords() [1/8]

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( |  | ) |

inline

default constructor

Definition at line 112 of file S3DVertex.h.

References irr::video::S3DVertex::S3DVertex().

Referenced by getInterpolated(), operator!=(), operator<(), and operator==().

## S3DVertex2TCoords() [2/8]

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | f32 | x,
|  | f32 | y,
|  | f32 | z,
|  | SColor | c,
|  | f32 | tu,
|  | f32 | tv,
|  | f32 | tu2,
|  | f32 | tv2 )

inline

constructor with two different texture coords, but no normal

Definition at line 115 of file S3DVertex.h.

References irr::video::S3DVertex::S3DVertex(), and TCoords2.

## S3DVertex2TCoords() [3/8]

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | const core::vector3df & | pos,
|  | SColor | color,
|  | const core::vector2d< f32 > & | tcoords,
|  | const core::vector2d< f32 > & | tcoords2 )

inline

constructor with two different texture coords, but no normal

Definition at line 119 of file S3DVertex.h.

References irr::video::S3DVertex::S3DVertex(), and TCoords2.

## S3DVertex2TCoords() [4/8]

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | const core::vector3df & | pos,
|  | const core::vector3df & | normal,
|  | const SColor & | color,
|  | const core::vector2d< f32 > & | tcoords,
|  | const core::vector2d< f32 > & | tcoords2 )

inline

constructor with all values

Definition at line 124 of file S3DVertex.h.

References irr::video::S3DVertex::S3DVertex(), and TCoords2.

## S3DVertex2TCoords() [5/8]

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | f32 | x,
|  | f32 | y,
|  | f32 | z,
|  | f32 | nx,
|  | f32 | ny,
|  | f32 | nz,
|  | SColor | c,
|  | f32 | tu,
|  | f32 | tv,
|  | f32 | tu2,
|  | f32 | tv2 )

inline

constructor with all values

Definition at line 129 of file S3DVertex.h.

References irr::video::S3DVertex::S3DVertex(), and TCoords2.

## S3DVertex2TCoords() [6/8]

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | f32 | x,
|  | f32 | y,
|  | f32 | z,
|  | f32 | nx,
|  | f32 | ny,
|  | f32 | nz,
|  | SColor | c,
|  | f32 | tu,
|  | f32 | tv )

inline

constructor with the same texture coords and normal

Definition at line 133 of file S3DVertex.h.

References irr::video::S3DVertex::S3DVertex(), and TCoords2.

## S3DVertex2TCoords() [7/8]

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | const core::vector3df & | pos,
|  | const core::vector3df & | normal,
|  | SColor | color,
|  | const core::vector2d< f32 > & | tcoords )

inline

constructor with the same texture coords and normal

Definition at line 137 of file S3DVertex.h.

References irr::video::S3DVertex::S3DVertex(), and TCoords2.

## S3DVertex2TCoords() [8/8]

irr::video::S3DVertex2TCoords::S3DVertex2TCoords | ( | S3DVertex & | o | ) |

inline

constructor from S3DVertex

Definition at line 142 of file S3DVertex.h.

References irr::video::S3DVertex::S3DVertex().

## Member Function Documentation

## getInterpolated()

S3DVertex2TCoords irr::video::S3DVertex2TCoords::getInterpolated | ( | const S3DVertex2TCoords & | other,
|  | f32 | d )

inline

Definition at line 173 of file S3DVertex.h.

References S3DVertex2TCoords(), irr::core::clamp(), irr::video::S3DVertex::Color, irr::video::S3DVertex::Normal, irr::video::S3DVertex::Pos, irr::video::S3DVertex::TCoords, and TCoords2.

## getType()

E_VERTEX_TYPE irr::video::S3DVertex2TCoords::getType | ( |  | ) | const

inline

Definition at line 167 of file S3DVertex.h.

References irr::video::EVT_2TCOORDS.

## operator!=()

bool irr::video::S3DVertex2TCoords::operator!= | ( | const S3DVertex2TCoords & | other | ) | const

inline

Inequality operator.

Definition at line 155 of file S3DVertex.h.

References irr::video::S3DVertex::S3DVertex(), S3DVertex2TCoords(), and TCoords2.

## operator<()

bool irr::video::S3DVertex2TCoords::operator< | ( | const S3DVertex2TCoords & | other | ) | const

inline

Definition at line 161 of file S3DVertex.h.

References irr::video::S3DVertex::S3DVertex(), S3DVertex2TCoords(), and TCoords2.

## operator==()

bool irr::video::S3DVertex2TCoords::operator== | ( | const S3DVertex2TCoords & | other | ) | const

inline

Equality operator.

Definition at line 148 of file S3DVertex.h.

References irr::video::S3DVertex::S3DVertex(), S3DVertex2TCoords(), and TCoords2.

## Member Data Documentation

## TCoords2

core::vector2d<f32> irr::video::S3DVertex2TCoords::TCoords2

Second set of texture coordinates.

Definition at line 145 of file S3DVertex.h.

Referenced by S3DVertex2TCoords(), S3DVertex2TCoords(), S3DVertex2TCoords(), S3DVertex2TCoords(), S3DVertex2TCoords(), S3DVertex2TCoords(), getInterpolated(), operator!=(), irr::scene::SVertexTCoordsScaleManipulator::operator()(), operator<(), and operator==().

The documentation for this struct was generated from the following file:

- S3DVertex.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0